stages:
  - build
  - test

build-job:
 stage: build
 script:
  - mvn clean install
 artifacts:
  paths:
  - target/*.jar
  
test-job:
  stage: test
  script:
    - export COMMIT_TIME=$(git show -s --format=%cd --date=format:'%y%m%d')4
    - export COMMIT_HASH=$(git show -s --format=%h --abbrev=8)
    - echo $COMMIT_TIME
    - echo $COMMIT_HASH
